Множественные уязвимости в PHP Calendar

Дата публикации:
28.02.2014
Дата изменения:
28.02.2014
Всего просмотров:
788
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:N/A:N/E:U/RL:ND/RC:C) = Base:4.3/Temporal:0
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:ND/RC:C) = Base:4.3/Temporal:0
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP Calendar 2.x
Уязвимые версии: PHP Calendar 2.0.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю раскрывать определенную информацию о системе и произвести XSS нападение.

1. Уязвимость существует из-за ошибки при обработке. Удаленный пользователь может получить сообщение об ошибке где будет указан полный путь установок.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "lasturl" в сценарии index.php (когда "action" установлен в "login"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://sourceforge.net/projects/php-calendar

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://hauntit.blogspot.dk/2014/02/en-multiple-vulnerabilities-in-php.html

или введите имя

CAPTCHA